Elastic Cloud Enterprise 2.7.1edit

This release of Elastic Cloud Enterprise contains bug fixes and a documentation improvement.

Bug fixesedit

Fixed upgrader license check. ECE 2.7.0 requires an ECE license version 4 to ensure new features such as cloud SSO and searchable snapshots work correctly. The ECE upgrader has been fixed for ECE 2.7.1 to ensure that the proper license is installed beforehand.

Make ECE system cluster upgrader retry logic more resilient. ECE 2.7.1 fixes a bug in the 2.7.0 upgrade process where some ECE installations could enter a state where the admin cluster upgrade would fail and enter a loop of creating immediately failing pending plans. This caused the deployment activity page to be unusable and freeze the browser. The more resilient retry logic fixes this behavior.

Make DataPipelinesWorkItem reentrant. If the upgrade to Elastic Cloud Enterprise 2.7.0 came across preexisting ILM policies in the system clusters, possibly left behind by a previously failed upgrade attempt, the upgrade would abort and roll back, and you would have to delete the policies manually to make the process succeed. If instead upgrading directly to 2.7.1, this scenario will be handled by the upgrader.

Docsedit

Added note to upgrade docs for logging and metrics cluster. ECE 2.7 does not support upgrading the logging and metrics cluster to version 6.8, and the upgrade documentation has been updated to reflect that.